<mamecheat version="1">

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pw@FF8108=633C</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@FF8126=09</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pb@FFA502=01</action>
    </script>
  </cheat>

  <cheat desc="Get Shield Now! PL1">
    <script state="on">
      <action>maincpu.pb@FFA503=01</action>
    </script>
  </cheat>

  <cheat desc="Always Have Weapon PL1">
    <parameter>
      <item value="0x04">Normal</item>
      <item value="0x00">Double Shot</item>
      <item value="0x01">Sticky Shot</item>
      <item value="0x02">Laser Gun</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@FFA50C=param</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon Now! PL1">
    <parameter>
      <item value="0x04">Normal</item>
      <item value="0x00">Double Shot</item>
      <item value="0x01">Sticky Shot</item>
      <item value="0x02">Laser Gun</item>
    </parameter>
    <script state="change">
      <action>maincpu.pb@FFA50C=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@FF8127=09</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pb@FFA5C2=01</action>
    </script>
  </cheat>

  <cheat desc="Get Shield Now! PL2">
    <script state="on">
      <action>maincpu.pb@FFA5C3=01</action>
    </script>
  </cheat>

  <cheat desc="Always Have Weapon PL2">
    <parameter>
      <item value="0x04">Normal</item>
      <item value="0x00">Double Shot</item>
      <item value="0x01">Sticky Shot</item>
      <item value="0x02">Laser Gun</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@FFA5CC=param</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon Now! PL2">
    <parameter>
      <item value="0x04">Normal</item>
      <item value="0x00">Double Shot</item>
      <item value="0x01">Sticky Shot</item>
      <item value="0x02">Laser Gun</item>
    </parameter>
    <script state="change">
      <action>maincpu.pb@FFA5CC=param</action>
    </script>
  </cheat>

  <cheat desc="Freeze Balls">
    <script state="run">
      <action>maincpu.pb@FF810B=02</action>
    </script>
  </cheat>

  <cheat desc="Freeze Balls For 2 Sec Now!">
    <script state="on">
      <action>maincpu.pb@FF810A=02</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="No Background Music">
    <script state="run">
      <action>audiocpu.pw@F026=0000</action>
    </script>
  </cheat>

  <cheat desc="Select Region"> <comment>This cheat sets the machine region - the effectiveness may vary! You have to enable this ASAP - ON or before the ROM check screen! Or enable + RESET</comment>
    <parameter>
      <item value="0x00">Japan</item>
      <item value="0x02">USA</item>
      <item value="0x04">Hispanic</item>
      <item value="0x06">Oceania</item>
      <item value="0x08">Asia</item>
      <item value="0x0A">Euro</item>
      <item value="0x0C">Brasil</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@FF80A1=param</action>
    </script>
  </cheat>

  <cheat desc="Sound Test">
    <parameter min="0" max="151" step="1"/>
    <script state="change">
      <action>audiocpu.pw@F015=0000</action>
      <action>audiocpu.pq@F100=00001000000000FF</action>
      <action>audiocpu.pq@F108=00FFFF0000000000</action>
      <action>audiocpu.pq@F110=1000100000000000</action>
      <action>audiocpu.pq@F118=00FFFF0000000000</action>
      <action condition="(param LT 100)">audiocpu.pb@F111=param</action>
      <action>temp0=param/100</action>
      <action condition="(param GE 100)">audiocpu.pb@F110=temp0</action>
      <action condition="(param GE 100)">audiocpu.pb@F111=param-(temp0*100)</action>
      <action>audiocpu.pb@F015=20</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
